/**
 * OW2 Util
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IActivationConfigProperty.java 6255 2012-05-03 13:42:08Z boukadam $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.struct;

import javax.ejb.ActivationConfigProperty;

/**
 * ActivationConfigProperty.
 * @author Mohammed Boukada
 */
public interface IActivationConfigProperty extends ActivationConfigProperty {

    /**
     * Set property name
     * @param name
     */
    void setPropertyName(String name);

    /**
     * Set property value
     * @param value
     */
    void setPropertyValue(String value);
}
